Subject: Re: [alpine-devel] Alpine Linux 2.5.1 USB Keyboard Issue During Install

From: Carlo Landmeter <[email-masked]>
Date: Thu, 3 Jan 2013 10:43:44 +0100

I'm also having issues with keyboards on different systems. Some systems it
works as expected and some dont.
I don't think this is related to busybox, it could be a module or a bios
issue.

What type of keyboard do you use, some keyboards need special kernel
drivers.

On Thu, Jan 3, 2013 at 5:05 AM, JR <[email-masked]> wrote:

> I downloaded the Alpine Linux 2.5.1 ISO images to test.
>
> My test platform:
> MSI Fuzzy 690T motherboard, uses AMD NB & SB chipsets
> AMD Athlon 64 X2 cpu
> 4G DDR-2 800 MHz SO-DIMM RAM
> onboard AMD 1200 Radeon video in AMD M690T chipset
> SATA-II HDD (WD 320G Black 2.5 inch drive)
> USB keyboard
> USB mouse (Microsoft-compatible)
> USB CD-ROM (via IDE-to-USB case)
> Media: CD-RW
> ISO: Alpine Linux x86 and x86_64 v2.5.1 ISOs
>
> BIOS set to support USB-HID devices
> BIOS set to boot from USB CD-ROM
>
> Experience:
> (1) System will boot from CD
> (2) System will display output to screen during boot
> (3) Login prompt is displayed
> (4) USB keyboard works fine before Busybox is loaded
>

What do you mean before Busybox, i guess you mean the bios (before the
kernel is loaded)?

> (5) USB keyboard is dead at login prompt
> (6) Unable to login via USB keyboard
>
> Other tests:
> Other _current_ Linux ditributions have been tested
> on the same hardware using both USB CD-ROM and USB
> "stick" methods. All of these distributions will
> support all of the devices listed above.
>
> Example Linux distributions tested:
> (either x86, x86_64, or both were tested)
> Fedora 17
> CentOS 6.x & Scientific Linux 6.x
> Ubuntu 12.04 & 12.10
> ARCH Linux
> CRUX 2.8
> Gentoo
>
>
Can you check which modules are loaded and compare it with the ones in
alpine?

> Notes:
> USB keyboard issue in Alpine Linux 2.5.1 appears in
> both the x86 and x86_64 versions.
>
> I noted from the Alpine Line 2.5.1 Git log that USB
> device issues in Busybox have been seen previously.
>
> Do USB issues still exist in Busybox as used by
> Alpine Linux and is that being seen in my testing?
>
> I am not a subscriber to this mailing. Please
> include my email address in your reply.
>
> Thank you, JR
>
>
>